Bug 84043 - FILESAVE FILEOPEN ODF import fails after saving due to non well-formed styles.xml (duplicate attributes on draw:enhanced-geometry)
Summary: FILESAVE FILEOPEN ODF import fails after saving due to non well-formed styles...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: BSA odf odf_validation target:4.4.0.0...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-09-18 14:04 UTC by johannesbr
Modified: 2014-12-18 16:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
before.odp with pictures removed (127.45 KB, application/vnd.oasis.opendocument.presentation)
2014-09-22 07:01 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description johannesbr 2014-09-18 14:04:43 UTC
Problem description: 
Opening file fails after saving

Found issue on version 4.2.4.2
Downloaded update, reproduced on 4.2.6.3


Steps to reproduce:
1. Open before.odp
2. save
3. close file
4. open before.odp

same error if 
1. Open before.odp
2. save as after.odp
3. close file
4. open after.odp

Current behavior:
fails with error
"Read-Error.
Format error discovered in the file in sub-document styles.xml at position 2,438212(row,col)."

Expected behavior:
Opens correctly, no error
              
Operating System: Mac OS X
Version: 4.2.4.2 release
Comment 1 johannesbr 2014-09-18 14:14:13 UTC
hmm the document reproducing the bug is too big to attach (7 MB). Please email me and I'll mail you the document (odp).
Comment 2 Buovjaga 2014-09-22 07:01:18 UTC
Created attachment 106657 [details]
before.odp with pictures removed

I removed the pictures from the .odp (opened it as a package file and deleted the Pictures folder).
I get the same error as the reporter after saving on Win7 64-bit 4.3.0.4 and 4.4.0.0.alpha0+
Comment 3 tommy27 2014-09-26 19:41:50 UTC
status NEW and platform ALL according to confirmation in previous post

have you guys tried 4.3.2.2 release?
Comment 4 Buovjaga 2014-10-06 10:11:54 UTC
Just confirmed the problem persists on Win 7 64-bit 4.3.2.2 and today's 4.4.0.0 dev build.
Comment 5 Caolán McNamara 2014-11-27 10:58:29 UTC
Presumably the problem is caused by

commit 13ef16423e78d3ea825172594f08c47d2f9bfd09
Author: Armin Le Grand <alg@apache.org>
Date:   Wed Nov 21 13:23:01 2012 +0000

    For backward compatibility take mirrorings in setTransformation into account

    Also found an error in SdrObjCustomShape::TRGetBaseGeometry when MirrorY was used

    (cherry picked from commit 4116c33b12d3787c406f0348f89efcb1cf409507)
Comment 6 Commit Notification 2014-11-27 11:33:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=751e5b32c5c361995bf0ba3295f773341fd92c23

Resolves: fdo#84043 don't create duplicate Mirrored[X|Y] properties

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2014-11-27 11:35:31 UTC
I have a fix anyway that will allow the document to be loaded, saved and reloaded without error. review for 4-4 as https://gerrit.libreoffice.org/#/c/13149/ and it that passes muster then will add for 4-3 afterwards
Comment 8 Michael Stahl (CIB) 2014-11-27 11:46:40 UTC
this is a really horrible bug; Beluga / tommy please if you triage a bug where LO can't read a file in the default format (ODF) that it wrote itself CC me immediately.
Comment 9 Commit Notification 2014-11-27 12:16:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d3b7bf16a58c02af2d1fdf5db2fa149c6815095c&h=libreoffice-4-4

Resolves: fdo#84043 don't create duplicate Mirrored[X|Y] properties

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-11-27 12:18:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e57326acebde972df22ea4368b5ce4822d51330&h=libreoffice-4-3

Resolves: fdo#84043 don't create duplicate Mirrored[X|Y] properties

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-11-27 12:30:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecf0d01e091ab0dde5845fe9b0a47ba1a961eda2&h=libreoffice-4-2

Resolves: fdo#84043 don't create duplicate Mirrored[X|Y] properties

It will be available in 4.2.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2014-11-28 16:46:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=12ab10e5824bb5efff27123aecfdefa1a16d5223

fdo#84043: add a test for the bug

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2014-12-01 22:34:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17d4a05bb8757da6384d0df8385deb86b8080856&h=libreoffice-4-4

fdo#84043: add a test for the bug

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2014-12-04 14:01:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a977d4eeec6fc7c80f60cc2819e19f39dc1a077&h=libreoffice-4-3-5

Resolves: fdo#84043 don't create duplicate Mirrored[X|Y] properties

It will be available in 4.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.